Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# textview.hh File Reference

A GtkTextView C++ wrapper interface. More...

`#include <xfc/gtk/container.hh>`
`#include <xfc/gtk/textbuffer.hh>`
`#include <gtk/gtktextview.h>`
`#include <xfc/gtk/inline/textview.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Pango
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::TextView
    A GtkTextView C++ wrapper class. More...

## Enumerations

- enum TextWindowType {
  TEXT_WINDOW_PRIVATE = GTK_TEXT_WINDOW_PRIVATE,
  TEXT_WINDOW_WIDGET = GTK_TEXT_WINDOW_WIDGET,
  TEXT_WINDOW_TEXT = GTK_TEXT_WINDOW_TEXT,
  TEXT_WINDOW_LEFT = GTK_TEXT_WINDOW_LEFT,
  TEXT_WINDOW_RIGHT = GTK_TEXT_WINDOW_RIGHT,
  TEXT_WINDOW_TOP = GTK_TEXT_WINDOW_TOP,
  TEXT_WINDOW_BOTTOM = GTK_TEXT_WINDOW_BOTTOM
  }
    TextWindowType indentifies the possible windows that correspond to an area of the text view. More...

## Detailed Description

A GtkTextView C++ wrapper interface.

Provides TextView, a widget which can display a TextBuffer.

## Enumeration Type Documentation

enum TextWindowType

TextWindowType indentifies the possible windows that correspond to an area of the text view.

These are the overall widget window, the border windows on the left, right, top, bottom, and the window that displays the text buffer.

Enumeration values:

  TEXT_WINDOW_PRIVATE | Private.
  TEXT_WINDOW_WIDGET | The overall widget window.
  TEXT_WINDOW_TEXT | The window displaying the text buffer.
  TEXT_WINDOW_LEFT | The border window on the left.
  TEXT_WINDOW_RIGHT | The border window on the right.
  TEXT_WINDOW_TOP | The border window on the top.
  TEXT_WINDOW_BOTTOM | The border window on the bottom.

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3